IKEv1 versus IKEv2: eelnevalt jagatud võtmega autentimine ja mis erineb
Mõlemad versioonid tõestavad eelnevalt jagatud võtme tundmist ilma seda saatmata, kuid sisestavad erinevad sisendid erinevatesse räsidesse. Võrrelge kahte jälge.
Kaks sama eelnevalt jagatud võtmega konfigureeritud lüüsi lõpetavad kätluse ja paketi püüdmine ei näita ühtegi saladust, mis üle juhtme läheks. See on osa, mida inimesed mäletavad. Huvitav osa on see, mida kumbki versioon tegelikult arvutab, et tõestada saladuse tundmist, sest IKEv1 ja IKEv2 ehitavad selle tõestuse erinevatest sisenditest ja paljastavad seda tehes erinevat teavet. Lugege kahte jälge kõrvuti ja erinevus lakkab olemast kosmeetiline.
Mida peab tõestus saavutama
Diffie-Hellman annab mõlemale osapoolele ühise väärtuse, mille avalikke pooli saab arvutada ka iga jälgija. Iseenesest ei tõesta see identiteedi kohta midagi: ründaja, kes lõpetab võtmevahetuse, omab sama ühist väärtust kui teie lüüs. Autentimise samm on olemas selleks, et siduda see vahetus saladusega, mida valdavad ainult ettenähtud osapooled, ning identiteetide ja parameetritega, milles nad kokku leppisid.
Just see sidumine on põhjus, miks räsi katab rohkem kui võtit. Kui see kataks ainult saladust, saaks ründaja selle taas esitada teises vahetuses teiste identiteetide või ettepanekutega.
IKEv1 Main Mode: tuleta SKEYID ja tõesta see seejärel
Main Mode jooksutab kuut sõnumit. Esimene paar läbiräägib turvaassotsiatsiooni, teine vahetab Diffie-Hellmani avalikke väärtusi ja noncesid ning kolmas kannab identiteete pluss autentimisräsisid äsja loodud krüpteerimise all. RFC 2409 määratleb konstruktsiooni: eelnevalt jagatud võtmega autentimisel tuletatakse SKEYID saladusest ja mõlemast noncest ning hilisem võtmematerjal tuletatakse SKEYID-ist, Diffie-Hellmani ühisest väärtusest, küpsistest ja konstantidest.
Räsi viiendas ja kuuendas sõnumis arvutatakse Diffie-Hellmani väärtuse, kahe küpsise, ettepaneku ja saatja identiteedi üle, võtmega SKEYID. Vastuvõtja arvutab selle uuesti oma konfigureeritud saladusega. Lahtinev vastuolu lõpetab vahetuse ja mitte ühelgi hetkel ei ole saladus ise kasulik koormus.
Aggressive Mode surub sama töö kolme sõnumisse, mis tähendab, et identiteedid ja autentimisräsi liiguvad enne, kui krüpteeritud kanal on olemas. See on tõeline paljastus aimatava saladuse puhul ja see on eraldi küsimusest, kas saladus edastati. IKEv1 on RFC 9395-ga vananenuks tunnistatud, seega pärandjälg on diagnostiline harjutus, mitte juurutamise siht.
IKEv2: teistsugune tuletamine ja teistsugune AUTH koormus
IKEv2 ei kasuta IKEv1 võtmeajakava uuesti. Algvõtmed IKE jaoks tulevad seemnest, mis on ehitatud noncedest ja Diffie-Hellmani ühisest väärtusest, ning alam-turvaassotsiatsioonid tuletatakse sellest. Eelnevalt jagatud võti ei toida seemet üldse.
Autentimine ilmub seejärel AUTH koormusena. Ühise võtmega autentimiseks määrab RFC 7296 saladuse polsterdatud kuju, mis saadakse saladuse räsimisel fikseeritud stringiga Key Pad for IKEv2 ja seejärel allkirjastatud vahetusandmete ja identiteedi räsimisel selle polsterdatud võtmega. Kontrollija saab sama väärtuse uuesti ehitada; vaatleja ei saa, ilma saladuseta.
Pange tähele, mis muutus. IKEv1 puhul on saladus võtmeajakavasse sisse küpsetatud enne, kui autentimisräsi olemas on; IKEv2 puhul on võtmeajakava saladusest sõltumatu ja tõestus on allkirjastatud okettidega seotud eraldi koormus. Sama kontseptuaalne garantii, teine masin, ja seetõttu ei vasta parameetrite nimed ja püüdmised üks-ühele.
Mida vaatleja tegelikult õpib
Diffie-Hellmani avalikud väärtused, ettepanekud, nonced ja küpsised on nähtavad mõlemas versioonis. Identiteedid on nähtavad IKEv1 Aggressive Mode'is ja kaitstud muudel juhtudel. Saladus ei ole kunagi nähtav.
Sellel viimasel lausel on piir, mida tasub nimetada. Nõrka, inimese valitud saladust saab rünnata äraarvamisega: ründaja arvutab, milline oleks autentimisväärtus kandidaat-saladuse jaoks, ja võrdleb. IKEv1 Aggressive Mode teeb selle kõige odavamaks, sest tõendid on avalikud, ja standardid hoiatavad üldiselt madala entroopiaga saladuste eest. Saladuse mitte kunagi edastamine ei ole sama, mis halva saladuse turvaliseks muutmine.
Mida võrdlusega teha
Kasutage iga osapoolte paari jaoks ühte unikaalset saladust, genereerige see juhuslikust allikast ja pöörake see läbi sama tarne tee, mis selle jagas. Kui saladus on konfiguratsioonimallis, mis saadetakse igasse filiaali, siis kompromiss ühes kohas on kompromiss kõikjal.
Eelistage sertifikaadipõhist autentimist, kui tegevuskulu on vastuvõetav, sest see kõrvaldab ühise saladuse äraarvamise probleemi ja annab igale osapoolele eraldi identiteedi. Kuhu eelnevalt jagatud võti jääb, hoidke see pikk, piirake selle ulatust ja käsitlege IKE versiooni turvaotsusena, mitte koostalitlusvõime detailina.